View Issue Details

IDProjectCategoryView StatusLast Update
0000240Rabbit Ranchers[All Projects] Feature Requestpublic2017-11-19 20:12
ReporterrainChu 
Assigned TorainChu 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionAlpha 2Fixed in VersionAlpha 2 
Summary0000240: Add character held tool
DescriptionAdd in held tools. Each character can hold up to one tool. The tool is taken out of a chest or crate, like a held item, but it doesn't occupy the held slot.
Add a new tool to the toolbar, Apply. It allows the current tool to be used.
Watering can: Apply to crops to water or the Well to recharge.
Hoe: Till soil.
Sickle: Destroy crop
Clicking on an empty container or surface with the Apply tool allows the tool to be placed.

Another new tool to the toolbar is the Grab/Exchange tool. If this tool is used on another rabbit, the two will swap their tools.

Add icons to the top right to show which rabbits possess which tools.
Add sprites of the tools strapped to the rabbit's backs to show their tools in the game world.
TagsNo tags attached.

Relationships

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-11-17 16:02 rainChu New Issue
2017-11-18 12:47 rainChu Target Version Alpha 3.0 => Alpha 2
2017-11-18 12:51 rainChu Status new => confirmed
2017-11-18 13:05 rainChu Assigned To => rainChu
2017-11-18 13:05 rainChu Status confirmed => assigned
2017-11-19 20:12 rainChu Status assigned => resolved
2017-11-19 20:12 rainChu Resolution open => fixed
2017-11-19 20:12 rainChu Fixed in Version => Alpha 2